//
//  CroppedSprite.frag
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//

uniform sampler2D u_texture;
uniform sampler2D u_crop_texture;

#ifdef GL_ES
varying lowp vec4 v_color;
varying mediump vec2 v_st;
varying mediump vec2 v_sprite_st;
varying highp vec3 v_position;
#else
varying vec4 v_color;
varying vec2 v_st;
varying vec2 v_sprite_st;
varying vec3 v_position;
#endif

void main()
{
#ifdef GL_ES
    mediump vec4 spriteTextureColor = texture2D( u_texture, v_sprite_st );
    mediump vec4 maskTextureColor = texture2D( u_crop_texture, v_st );
#else
    vec4 spriteTextureColor = texture2D( u_texture, v_sprite_st );
    vec4 maskTextureColor = texture2D( u_crop_texture, v_st );
#endif
    // We multiply with the r component to make things fade to black when the alpha is between 0 and 1.
    // This creates a nice drop-shadow effect, but might need to be turned off if it's not a desired effect.
    // If so, we should just create a new shader that doesn't include that operation.
    gl_FragColor = vec4( spriteTextureColor.x * v_color.x * maskTextureColor.a * maskTextureColor.r,
                         spriteTextureColor.y * v_color.y * maskTextureColor.a * maskTextureColor.r,
                         spriteTextureColor.z * v_color.z * maskTextureColor.a * maskTextureColor.r,
                         spriteTextureColor.a * v_color.a * maskTextureColor.a);
}
