//
//  CroppedSprite.vert
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//

uniform mat4 u_modelViewProjectionMatrix;
uniform float u_sprite_scale;
attribute vec3 a_position;
attribute vec2 a_st;
attribute vec4 a_color;

#ifdef GL_ES
varying lowp vec4 v_color;
varying mediump vec2 v_st;
varying mediump vec2 v_sprite_st;
#else
varying vec4 v_color;
varying vec2 v_sprite_st;
varying vec2 v_st;
#endif

void main()
{
    v_color = a_color;
    v_st = a_st;
    v_sprite_st = vec2(0.5 + (v_st.x - 0.5) / u_sprite_scale,
                       0.5 + (v_st.y - 0.5) / u_sprite_scale);
    gl_Position = u_modelViewProjectionMatrix * vec4( a_position.x, a_position.y, a_position.z, 1.0 );
}
