//
//  FourCornerGradient.vert
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif

attribute vec2 a_position;
attribute float a_topLeftColorWeight;
attribute float a_topRightColorWeight;
attribute float a_bottomLeftColorWeight;
attribute float a_bottomRightColorWeight;

uniform vec3 u_topLeftColor;
uniform vec3 u_topRightColor;
uniform vec3 u_bottomLeftColor;
uniform vec3 u_bottomRightColor;

varying vec4 v_color;

void main()
{
    v_color = vec4(a_topLeftColorWeight * u_topLeftColor + a_topRightColorWeight * u_topRightColor + a_bottomLeftColorWeight * u_bottomLeftColor + a_bottomRightColorWeight * u_bottomRightColor, 1.0);
    gl_Position = vec4(a_position.x, a_position.y, 0.999, 1.0);
}
