//
//  Badge.frag
//  ExplorerGlobe
//
//  Created by Nick Rudolfsky on 6/4/19.
//  Copyright © 2019 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif

uniform sampler2D u_texture;
uniform vec2 u_size;
uniform float u_cornerRadius;

varying vec4 v_color;
varying vec2 v_st;

float roundCorners(vec2 p, vec2 b, float r)
{
    return length(max(abs(p)-b+r,0.0))-r;
}

void main()
{
    //vec3 tex = texture2D(u_texture, v_st).rgb;
    //gl_FragColor = vec4(tex, 1.0);
    
    vec2 halfRes = u_size * 0.5;
    float b = 1.0 - roundCorners(v_st * u_size - halfRes, halfRes, abs(u_cornerRadius));
    vec4 pixel = texture2D(u_texture, v_st);
    float alpha = smoothstep(0.0,1.0,b) * pixel.w;
    gl_FragColor = vec4(v_color.xyz * pixel.xyz * alpha, alpha);
}
