//
//  Population.vert
//  ExplorerGlobe
//
//  Created by Nick Rudolfsky on 9/4/19.
//  Copyright © 2019 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif

attribute vec2 a_quadOffset;
attribute vec2 a_quadTexCoord;
attribute vec3 a_dotPosition;
attribute vec3 a_dotRightDir;
attribute vec3 a_dotUpDir;

varying vec2 v_st;

uniform mat4 u_viewProjectionMatrix;
uniform float u_radius;


void main()
{
    v_st = a_quadTexCoord;
    
    vec3 vertexPosWS = a_dotPosition;
    vertexPosWS += a_dotRightDir * a_quadOffset.x * u_radius;
    vertexPosWS += a_dotUpDir * a_quadOffset.y * u_radius;
    gl_Position = u_viewProjectionMatrix * vec4(vertexPosWS, 1.0);
    
//    vec3 viewSpacePosition = (u_viewMatrix * vec4(a_dotPosition, 1.0)).xyz;
//    viewSpacePosition.xy += (a_quadOffset * 0.03);
//    gl_Position = u_projectionMatrix * vec4(viewSpacePosition, 1.0);
}
