//
//  Star.frag
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//


#ifdef GL_ES
precision highp float;
#endif

uniform sampler2D u_texture;

#ifdef GL_ES
uniform highp float u_time;
uniform highp float u_alpha;
varying mediump float v_animationOffset;
varying mediump vec4 v_color;
varying mediump vec2 v_st;

#else
uniform float u_time;
uniform float u_alpha;
varying float v_animationOffset;
varying vec4 v_color;
varying vec2 v_st;
#endif

#define PI_TIMES_2 6.2831853072

void main()
{
    float brightness = 0.64 + 0.36 * sin((u_time + v_animationOffset) * PI_TIMES_2);
    gl_FragColor = texture2D(u_texture, v_st) * v_color * u_alpha * brightness;
    
}
