//
//  Star.vert
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//
uniform mat4 u_modelViewProjectionMatrix;

attribute vec3 a_position;
attribute vec2 a_st;
attribute vec3 a_color;
attribute float a_animationOffset;

#ifdef GL_ES
varying mediump float v_animationOffset;
varying mediump vec4 v_color;
varying mediump vec2 v_st;
#else
varying float v_animationOffset;
varying vec4 v_color;
varying vec2 v_st;
#endif

void main()
{
    v_st = a_st;
    v_animationOffset = a_animationOffset;
    // Set alpha to zero becase we are rendering with
    // blend mode "add" using a premultiplied-alpha texture.
    // alpha in that configuration means "how much to subtract from
    // the color that is already in the framebuffer"
    v_color = vec4(a_color.x, a_color.y, a_color.z, 0.0);
    
    gl_Position = u_modelViewProjectionMatrix * vec4(a_position.x, a_position.y, a_position.z, 1.0);
}
