//
//  SplatterDecoration.frag
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//


#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif

uniform sampler2D u_texture;
uniform sampler2D u_noiseTexture;

uniform highp float u_time;
uniform highp vec3 u_color1;
uniform highp vec3 u_color2;
uniform highp float u_minBrightness;
uniform highp float u_maxBrightness;
varying mediump float v_brightnessMix;
varying mediump vec2 v_colorMixSampleOffset;
varying mediump vec2 v_st;

void main()
{
    float textureBrightness = texture2D(u_texture, v_st).r;
    vec2 timeOffset = vec2(u_time, 0.0) * 0.25;
    float colorMix = texture2D(u_noiseTexture, v_colorMixSampleOffset + (v_st * 5.0) + timeOffset).r;
    gl_FragColor.rgb = mix(u_color1, u_color2, colorMix);
    gl_FragColor.a = textureBrightness * mix(u_minBrightness, u_maxBrightness, v_brightnessMix);
        
}
