//
//  SplatterDecoration.vert
//  ExplorerGlobe
//
//  Created by Anton Holmberg on 3/20/16.
//  Copyright © 2016 Smule. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#else
// define qualifiers to empty so code can compile without deleting qualifiers
#define highp
#define mediump
#define lowp
#endif

uniform mat4 u_modelViewProjectionMatrix;

attribute vec3 a_position;
attribute vec2 a_st;
attribute float a_brightnessMix;
attribute vec2 a_colorMixSampleOffset;

varying mediump float v_brightnessMix;
varying mediump vec2 v_colorMixSampleOffset;
varying mediump vec2 v_st;

void main()
{
    v_st = a_st;
    v_brightnessMix = a_brightnessMix;
    v_colorMixSampleOffset = a_colorMixSampleOffset;
    
    gl_Position = u_modelViewProjectionMatrix * vec4(a_position.x, a_position.y, a_position.z, 1.0);
}
