//
//  Video.vert
//  CampfireCore
//
//  Created by Anton Holmberg on 11/8/16.
//  Copyright © 2016 Smule. All rights reserved.
//

attribute vec3 a_position;
attribute vec2 a_st;
attribute vec4 a_color;

varying lowp vec4 v_color;
varying mediump vec2 v_st;
// TODO (Anton): Can we use mediump or lowp instead of highp?
uniform highp mat4 u_texCoordTransformMatrix;
uniform highp vec2 u_texCoordScale;

void main()
{
    v_color = a_color;
    highp vec2 scaledTexCoord = 0.5 + (a_st - 0.5) * u_texCoordScale;
    v_st = (u_texCoordTransformMatrix * vec4(scaledTexCoord.s, scaledTexCoord.t, 0.0, 1.0)).st;
    gl_Position = vec4( a_position.x, a_position.y, a_position.z, 1.0);
}
