//
//  Video.frag
//  CampfireCore
//
//  Created by Wei Zhou on 02/09/19.
//  Copyright © 2019 Smule. All rights reserved.
//
precision mediump float;

uniform sampler2D u_texture_y;
uniform sampler2D u_texture_u;
uniform sampler2D u_texture_v;
varying lowp vec4 v_color;
varying mediump vec2 v_st;
varying highp vec3 v_position;

void main()
{
    mediump float y = texture2D(u_texture_y, v_st).r;
    mediump float u = texture2D(u_texture_u, v_st).r - 0.5;
    mediump float v = texture2D(u_texture_v, v_st).r - 0.5;

    vec4 colorOut;
    
    // Convert from YUV420 bi-planar pixel format to RGBA
    colorOut = v_color * vec4(y + 1.403 * v,
                              y - 0.344 * u - 0.714 * v,
                              y + 1.770 * u,
                              1.0);
    gl_FragColor = colorOut;
}
